# frozen_string_literal: true

require_relative './cloudscreener_ruby_sdk/api'
require_relative './cloudscreener_ruby_sdk/virtual_machine'
require_relative './cloudscreener_ruby_sdk/datacenter'

module Cloudscreener
  ROOT_DIR   = Pathname.new(__FILE__).dirname.dirname.dirname.expand_path
  LIB_DIR    = ROOT_DIR / 'lib'
end

$LOAD_PATH.unshift(Cloudscreener::LIB_DIR) unless $LOAD_PATH.include?(Cloudscreener::LIB_DIR)
