# frozen_string_literal: true

module Cloudscreener
  # Represents a cloud datacenter
  class Datacenter
    attr_reader :dcct

    def initialize(dcct: nil)
      @dcct = dcct
    end

    def compute_query
      { field: 'dcct', value: @dcct }
    end
  end
end
